petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscQuadratureExpandComposite

Return a quadrature over the composite element, which has the original quadrature in each subelement

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscQuadratureExpandComposite(PetscQuadrature q, PetscInt numSubelements, const PetscReal v0[], const PetscReal jac[], PetscQuadrature *qref)

Not collective

### Input Parameter

| q | - The original PetscQuadrature
| numSubelements | - The number of subelements the original element is divided into
| v0 | - An array of the initial points for each subelement
| jac | - An array of the Jacobian mappings from the reference to each subelement

### Output Parameters

dim -The dimension

Note: Together v0 and jac define an affine mapping from the original reference element to each subelement

Not available from Fortran

### See Also

PetscFECreate(), PetscSpaceGetDimension(), PetscDualSpaceGetDimension()

### Level

intermediate

### Location

src/dm/dt/interface/dt.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages